<link rel="import" href="../polymer/polymer-element.html" />

<dom-module id="my-gestures-events">
    <template>
        <style>
            :host {
                display: block;
            }
            #dragme {
                width: 500px;
                height: 500px;
                background-color: gray;
            }
        </style>
        <div id="dragme" on-track="handleTrack">[[message]]</div>
    </template>

    <script>
        /**
         * `my-gestures-events`
         * gestos
         *
         * @customElement
         * @polymer
         * @demo demo/index.html
         */
        class MyGesturesEvents extends Polymer.GestureEventListeners(Polymer.Element) {
            static get is() {
                return "my-gestures-events";
            }
            static get properties() {
                return {
                    prop1: {
                        type: String,
                        value: "my-gestures-events",
                    },
                };
            }
            handleTrack(e) {
                const { detail } = e;
                switch (detail.state) {
                    case "start":
                        this.message = "Started!";
                        break;
                    case "track":
                        this.message = `Tracking in progress ${detail.x}, ${detail.y}`;
                        break;
                    case "end":
                        this.message = "Ended!";
                        break;
                }
            }
        }

        window.customElements.define(MyGesturesEvents.is, MyGesturesEvents);
    </script>
</dom-module>
